Bug 812006 - jBPM5 does not handle timer definitions conforming to ISO-8601
jBPM5 does not handle timer definitions conforming to ISO-8601
Status: NEW
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Kris Verlaenen
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 10:07 EDT by Jiri Locker
Modified: 2012-11-04 19:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The BPMN 2.0 specification requires that timeCycle and timeDuration conforms to the ISO-8601 for time interval representations; however, jBPM5 is currently using it's own legacy format for expressing timer duration and cycle.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server.log with the related exception (13.96 KB, text/plain)
2012-04-12 10:08 EDT, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2012-04-12 10:07:21 EDT
Description of problem:
BPMN 2.0 requires that timeCycle and timeDuration conform to the ISO-8601
format for time interval representations.

Version-Release number of selected component (if applicable):
ER5

How reproducible:
Reproducible with reccuring time intervals beginning with 'Rnn/' and itervals that use time durations, which are required to start with 'P'

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Using an ISO-8601 compliant time interval expression may result with an exception similar to

> org.drools.RuntimeDroolsException: Error parsing time string: [ R/P10S ]

Expected results:
jBPM engine should be able to handle all time interval expressions that conform to ISO-8601 and interpret them correctly

Additional info:
Resolving this issue would allow for implementing CRON timers requested in https://issues.jboss.org/browse/JBPM-2889

http://en.wikipedia.org/wiki/ISO_8601#Time_intervals
Comment 1 Jiri Locker 2012-04-12 10:08:28 EDT
Created attachment 577077 [details]
server.log with the related exception
Comment 2 Kris Verlaenen 2012-04-12 10:32:27 EDT
jBPM5 is currently using it's own legacy format for expressing timer duration and cycle.  Although the BPMN2 specification seems to require the use of ISO-8601 in certain locations, the timer properties are actually expressions, and formal expressions have a language attribute, so different languages for supporting timers are technically still possible.

While jBPM5 currently only supported the legacy format, we will be looking at adding support for IS0-8601 expressions in the future.
Comment 3 lcarlon 2012-05-30 20:00:20 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The BPMN 2.0 specification requires that timeCycle and timeDuration conforms to the ISO-8601 for time interval representations, however, jBPM5 is currently using it's own legacy format for expressing timer duration and cycle.
Comment 4 Kris Verlaenen 2012-08-27 09:41:48 EDT
*** Bug 833394 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.